Module::CPANTS::Kwalitee(3pm)

NAME
Module::CPANTS::Kwalitee - Interface to Kwalitee generators

SYNOPSIS
  my $mck = Module::CPANTS::Kwalitee->new;
  my @generators = $mck->generators;

DESCRIPTION

  Methods
new

Plain old constructor.

Loads all Plugins.

get_indicators

Get the list of all Kwalitee indicators, either as an ARRAY or ARRAYREF.

get_indicators_hash

Get the list of all Kwalitee indicators as an HASHREF.

core_indicator_names

Get a list of core indicator names (NOT the whole indicator HASHREF).

optional_indicator_names

Get a list of optional indicator names (NOT the whole indicator HASHREF).

experimental_indicator_names

Get a list of experimental indicator names (NOT the whole indicator HASHREF).

all_indicator_names

Get a list of all indicator names (NOT the whole indicator HASHREF).

available_kwalitee

Get the number of available kwalitee points

total_kwalitee

Get the total number of kwalitee points. This is bigger the available_kwalitee as some kwalitee metrics are marked as 'extra' (e.g. "is_prereq").

SEE ALSO
Module::CPANTS::Analyse

AUTHOR
Thomas Klausner <https://metacpan.org/author/domm>

COPYRIGHT AND LICENSE
Copyright © 2003–2006, 2009 Thomas Klausner <https://metacpan.org/author/domm>

You may use and distribute this module according to the same terms that Perl is distributed under.